com.fasterxml.jackson.databind.introspect

## Class AnnotatedClass.Creators

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.AnnotatedClass.Creators

Enclosing class:
  AnnotatedClass

    public static final class AnnotatedClass.Creators
    extends Object

### Field Summary

Fields
`List<AnnotatedConstructor>` `constructors` Single argument constructors the class has, if any.
`List<AnnotatedMethod>` `creatorMethods` Single argument static methods that might be usable as factory methods
`AnnotatedConstructor` `defaultConstructor` Default constructor of the annotated class, if it has one.

### Constructor Summary

Constructors
Constructor and Description
`Creators(AnnotatedConstructor defCtor, List<AnnotatedConstructor> ctors, List<AnnotatedMethod> ctorMethods)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### defaultConstructor

    public final AnnotatedConstructor defaultConstructor

Default constructor of the annotated class, if it has one.

#### constructors

    public final List<AnnotatedConstructor> constructors

Single argument constructors the class has, if any.

#### creatorMethods

    public final List<AnnotatedMethod> creatorMethods

Single argument static methods that might be usable as factory methods

### Constructor Detail

#### Creators

    public Creators(AnnotatedConstructor defCtor,
                    List<AnnotatedConstructor> ctors,
                    List<AnnotatedMethod> ctorMethods)